Bug 261630 - Amarok crashes with random playlist activated [@ JSC::Heap::resizeBlocks()]
Summary: Amarok crashes with random playlist activated [@ JSC::Heap::resizeBlocks()]
Status: RESOLVED DUPLICATE of bug 263256
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.4-GIT
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-30 14:30 UTC by Ctibor Brančík
Modified: 2011-04-20 11:08 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (14.80 KB, text/plain)
2011-04-18 17:00 UTC, Jayesh Badwaik
Details
New crash information added by DrKonqi (21.46 KB, text/plain)
2011-04-19 15:33 UTC, Ctibor Brančík
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ctibor Brančík 2010-12-30 14:30:08 UTC
Application: amarok (2.3.2)
KDE Platform Version: 4.5.90 (4.6 RC1)
Qt Version: 4.7.1
Operating System: Linux 2.6.36-zen1 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed: I loaded a random playlist of the songs from my collection (songs are stored localy and on nfsv4 share too [but access is not through kio-slaves it is mounted by system init scripts]) and minimized amarok to the tray. After some songs played, it crashed. I tried several times, it crashes randomly I haven't found any pattern in the crash.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Illegal instruction
The current source language is "auto; currently asm".
[Current thread is 1 (Thread 0x7f683e6f2780 (LWP 10856))]

Thread 9 (Thread 0x7f67fda83710 (LWP 10857)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6827c1ad70 in LoopRequest (data=<value optimized out>) at playlist/thread.c:539
#2  Thread (data=<value optimized out>) at playlist/thread.c:586
#3  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f67fb834710 (LWP 10860)):
#0  0xffffffffff600151 in ?? ()
#1  0x00007f67fb833a90 in ?? ()
#2  0x00007fff0e7ff852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 7 (Thread 0x7f67f7a75710 (LWP 10864)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f683bca908b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6837e7dd45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x176b400, th=0x176eee0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6837e80feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x17c7fc0, th=0x176eee0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6837e7f487 in ThreadWeaver::ThreadRunHelper::run (this=0x7f67f7a74e10, parent=0x176b400, th=0x176eee0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f6837e7f9d8 in ThreadWeaver::Thread::run (this=0x176eee0) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f683bca851e in QThreadPrivate::start (arg=0x176eee0) at thread/qthread_unix.cpp:285
#8  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f67f7274710 (LWP 10866)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f68378ba30c in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f6837bc9160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f68378ba349 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f6837bd7234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f67eaf2c710 (LWP 10870)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f683bca908b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6837e7dd45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x176b400, th=0x227b060)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6837e80feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x17c7fc0, th=0x227b060)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6837e7f487 in ThreadWeaver::ThreadRunHelper::run (this=0x7f67eaf2be10, parent=0x176b400, th=0x227b060)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f6837e7f9d8 in ThreadWeaver::Thread::run (this=0x227b060) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f683bca851e in QThreadPrivate::start (arg=0x227b060) at thread/qthread_unix.cpp:285
#8  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f67ea72b710 (LWP 10871)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f683bca908b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6837e7dd45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x176b400, th=0x2280ca0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6837e80feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x17c7fc0, th=0x2280ca0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6837e7f487 in ThreadWeaver::ThreadRunHelper::run (this=0x7f67ea72ae10, parent=0x176b400, th=0x2280ca0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f6837e7f9d8 in ThreadWeaver::Thread::run (this=0x2280ca0) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f683bca851e in QThreadPrivate::start (arg=0x2280ca0) at thread/qthread_unix.cpp:285
#8  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f67e9f2a710 (LWP 10872)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f683bca908b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16db980, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6837e7dd45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x176b400, th=0x2285c50)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6837e80feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x17c7fc0, th=0x2285c50)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6837e7f487 in ThreadWeaver::ThreadRunHelper::run (this=0x7f67e9f29e10, parent=0x176b400, th=0x2285c50)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f6837e7f9d8 in ThreadWeaver::Thread::run (this=0x2285c50) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f683bca851e in QThreadPrivate::start (arg=0x2285c50) at thread/qthread_unix.cpp:285
#8  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f67e7d63710 (LWP 10873)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f68335ebf1d in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007f68335ec029 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#3  0x00007f68392cd8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007f683b47727d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f683e6f2780 (LWP 10856)):
[KCrash Handler]
#6  0x00007f683356a8b2 in JSC::Heap::resizeBlocks() () from /usr/lib64/qt4/libQtWebKit.so.4
#7  0x00007f6832e7e1e5 in WebCore::collect(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#8  0x00007f683322cf46 in WebCore::ThreadTimers::sharedTimerFiredInternal() () from /usr/lib64/qt4/libQtWebKit.so.4
#9  0x00007f683bdaabb9 in QObject::event (this=0x25fb560, e=0x1) at kernel/qobject.cpp:1175
#10 0x00007f683c79adec in QApplicationPrivate::notify_helper (this=0xb0f1d0, receiver=0x25fb560, e=0x7fff0e7bae30) at kernel/qapplication.cpp:4445
#11 0x00007f683c7a026d in QApplication::notify (this=0x7fff0e7bb150, receiver=0x25fb560, e=0x7fff0e7bae30) at kernel/qapplication.cpp:4324
#12 0x00007f683e0f92e8 in KApplication::notify (this=0x7fff0e7bb150, receiver=0x25fb560, event=0x7fff0e7bae30)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/kdeui/kernel/kapplication.cpp:311
#13 0x00007f683bd991cb in QCoreApplication::notifyInternal (this=0x7fff0e7bb150, receiver=0x25fb560, event=0x7fff0e7bae30) at kernel/qcoreapplication.cpp:732
#14 0x00007f683bdc82fa in QCoreApplication::sendEvent (this=0xb10ae0) at kernel/qcoreapplication.h:215
#15 QTimerInfoList::activateTimers (this=0xb10ae0) at kernel/qeventdispatcher_unix.cpp:603
#16 0x00007f683bdc5478 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#17 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#18 0x00007f68361ab399 in g_main_dispatch (context=0xb0e2a0) at gmain.c:2149
#19 g_main_context_dispatch (context=0xb0e2a0) at gmain.c:2702
#20 0x00007f68361af220 in g_main_context_iterate (context=0xb0e2a0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2780
#21 0x00007f68361af3c2 in g_main_context_iteration (context=0xb0e2a0, may_block=1) at gmain.c:2843
#22 0x00007f683bdc511e in QEventDispatcherGlib::processEvents (this=0x98eaf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#23 0x00007f683c84cbe6 in QGuiEventDispatcherGlib::processEvents (this=0x7f67e74c2230, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#24 0x00007f683bd97f12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#25 0x00007f683bd982dd in QEventLoop::exec (this=0x7fff0e7bb0f0, flags=) at kernel/qeventloop.cpp:201
#26 0x00007f683bd9c35b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#27 0x00000000004084c9 in main (argc=<value optimized out>, argv=0x7fff0e7bd0b8) at /var/tmp/portage/media-sound/amarok-2.3.2-r1/work/amarok-2.3.2/src/main.cpp:237

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-01-04 03:55:02 UTC
Could you please test with Amarok 2.4 beta?
Comment 2 Ctibor Brančík 2011-01-04 13:22:27 UTC
Tha same happens, but output from the debug assistant is only: Application: Amarok (amarok), signal: Illegal instruction
Comment 3 Myriam Schweingruber 2011-01-05 01:55:33 UTC
Thank you for the feedback.
Comment 4 Ctibor Brančík 2011-01-05 13:47:19 UTC
I made mistake. Backtrace is here:

Application: Amarok (amarok), signal: Illegal instruction
The current source language is "auto; currently asm".
[Current thread is 1 (Thread 0x7fb21f455780 (LWP 9609))]

Thread 10 (Thread 0x7fb1de6b3710 (LWP 9615)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb205b56d70 in LoopRequest (data=<value optimized out>) at playlist/thread.c:539
#2  Thread (data=<value optimized out>) at playlist/thread.c:586
#3  0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fb1dcf5d710 (LWP 9659)):
#0  0x00007fb21bfa35c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fb215b98f7d in g_main_context_poll (context=0xff8180, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0xff8180, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2775
#3  0x00007fb215b993c2 in g_main_context_iteration (context=0xff8180, may_block=1) at gmain.c:2843
#4  0x00007fb21c8fa16e in QEventDispatcherGlib::processEvents (this=0xf54390, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007fb21c8ccf12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fb21c8cd2dd in QEventLoop::exec (this=0x7fb1dcf5cdc0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fb21c7da612 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007fb21c8acfa0 in QInotifyFileSystemWatcherEngine::run (this=0xfc80b0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fb21c7dd51e in QThreadPrivate::start (arg=0xfc80b0) at thread/qthread_unix.cpp:285
#10 0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fb1d74fa710 (LWP 9713)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb217c9a30c in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fb217fa9160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fb217c9a349 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fb217fb7234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
The current source language is "auto; currently c".

Thread 7 (Thread 0x7fb1caeaa710 (LWP 9736)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb21c7de08b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fb219197d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1fa66d0, th=0x163c9b0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb21919afeb in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x163c9b0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb21919b004 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x163c9b0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb21919b004 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x163c9b0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fb219199487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb1caea9e10, parent=0x1fa66d0, th=0x163c9b0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#8  0x00007fb2191999d8 in ThreadWeaver::Thread::run (this=0x163c9b0) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fb21c7dd51e in QThreadPrivate::start (arg=0x163c9b0) at thread/qthread_unix.cpp:285
#10 0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
The current source language is "auto; currently asm".

Thread 6 (Thread 0x7fb1cb8b1710 (LWP 9744)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb21c7de08b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fb219197d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1fa66d0, th=0x238ff40)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb21919afeb in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x238ff40)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb219199487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb1cb8b0e10, parent=0x1fa66d0, th=0x238ff40)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fb2191999d8 in ThreadWeaver::Thread::run (this=0x238ff40) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fb21c7dd51e in QThreadPrivate::start (arg=0x238ff40) at thread/qthread_unix.cpp:285
#8  0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fb1c9a7d710 (LWP 9745)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb21c7de08b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fb219197d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1fa66d0, th=0x243f7a0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb21919afeb in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x243f7a0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb219199487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb1c9a7ce10, parent=0x1fa66d0, th=0x243f7a0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fb2191999d8 in ThreadWeaver::Thread::run (this=0x243f7a0) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fb21c7dd51e in QThreadPrivate::start (arg=0x243f7a0) at thread/qthread_unix.cpp:285
#8  0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fb1c8809710 (LWP 9746)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb21c7de08b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1f91b00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fb219197d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1fa66d0, th=0x24d48f0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb21919afeb in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x24d48f0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb21919b004 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x24d48f0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb21919b004 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1f9ec90, th=0x24d48f0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fb219199487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb1c8808e10, parent=0x1fa66d0, th=0x24d48f0)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:87
#8  0x00007fb2191999d8 in ThreadWeaver::Thread::run (this=0x24d48f0) at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fb21c7dd51e in QThreadPrivate::start (arg=0x24d48f0) at thread/qthread_unix.cpp:285
#10 0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fb1c7dea710 (LWP 9747)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb2124abf1d in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007fb2124ac029 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#3  0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fb1bb099710 (LWP 9965)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fb21c7de01d in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x32fdc80, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x32fdc80, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fb21c7d30b1 in QThreadPoolThread::run (this=0x26ba670) at concurrent/qthreadpool.cpp:140
#4  0x00007fb21c7dd51e in QThreadPrivate::start (arg=0x26ba670) at thread/qthread_unix.cpp:285
#5  0x00007fb219e028b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fb21bfac27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fb21f455780 (LWP 9609)):
[KCrash Handler]
#6  0x00007fb21242a8b2 in JSC::Heap::resizeBlocks() () from /usr/lib64/qt4/libQtWebKit.so.4
#7  0x00007fb211d3e1e5 in WebCore::collect(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#8  0x00007fb2120ecf46 in WebCore::ThreadTimers::sharedTimerFiredInternal() () from /usr/lib64/qt4/libQtWebKit.so.4
#9  0x00007fb21c8dfbb9 in QObject::event (this=0x266af30, e=0x1) at kernel/qobject.cpp:1175
#10 0x00007fb21d2cfdec in QApplicationPrivate::notify_helper (this=0xadcbf0, receiver=0x266af30, e=0x7fff8295be40) at kernel/qapplication.cpp:4445
#11 0x00007fb21d2d526d in QApplication::notify (this=0x7fff8295c170, receiver=0x266af30, e=0x7fff8295be40) at kernel/qapplication.cpp:4324
#12 0x00007fb21ee602e8 in KApplication::notify (this=0x7fff8295c170, receiver=0x266af30, event=0x7fff8295be40)
    at /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90/kdeui/kernel/kapplication.cpp:311
#13 0x00007fb21c8ce1cb in QCoreApplication::notifyInternal (this=0x7fff8295c170, receiver=0x266af30, event=0x7fff8295be40) at kernel/qcoreapplication.cpp:732
#14 0x00007fb21c8fd2fa in QCoreApplication::sendEvent (this=0xade660) at kernel/qcoreapplication.h:215
#15 QTimerInfoList::activateTimers (this=0xade660) at kernel/qeventdispatcher_unix.cpp:603
#16 0x00007fb21c8fa454 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#17 0x00007fb215b95399 in g_main_dispatch (context=0xadc370) at gmain.c:2149
#18 g_main_context_dispatch (context=0xadc370) at gmain.c:2702
#19 0x00007fb215b99220 in g_main_context_iterate (context=0xadc370, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2780
#20 0x00007fb215b993c2 in g_main_context_iteration (context=0xadc370, may_block=1) at gmain.c:2843
#21 0x00007fb21c8fa11e in QEventDispatcherGlib::processEvents (this=0x953270, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#22 0x00007fb21d381be6 in QGuiEventDispatcherGlib::processEvents (this=0x7fb1c7549230, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#23 0x00007fb21c8ccf12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#24 0x00007fb21c8cd2dd in QEventLoop::exec (this=0x7fff8295c100, flags=) at kernel/qeventloop.cpp:201
#25 0x00007fb21c8d135b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#26 0x0000000000409810 in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.3.90/work/amarok-2.3.90/src/main.cpp:261
Comment 5 Myriam Schweingruber 2011-01-05 14:37:20 UTC
The backtrace is the same, thank you for the feedback.
Comment 6 Ctibor Brančík 2011-02-03 15:54:46 UTC
I have investigated thist matter further with 2.4 final release. This time with random playlist disabled. But it still crashes for me, however I probably discovered the cause - I have removed all the applets and it seems to be ok. But if I shall add the applet that fetches covers of the albums, it crashes immediately. I have another backtrace:


Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fcd29f45780 (LWP 12353))]

Thread 13 (Thread 0x7fcce8d34710 (LWP 12354)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd105fdd70 in LoopRequest (data=<value optimized out>) at playlist/thread.c:539
#2  Thread (data=<value optimized out>) at playlist/thread.c:586
#3  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7fcce2f76710 (LWP 12357)):
#0  0x00007fcd26a845c3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcd20664f7d in g_main_context_poll (context=0x1890340, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x1890340, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2775
#3  0x00007fcd206653c2 in g_main_context_iteration (context=0x1890340, may_block=1) at gmain.c:2843
#4  0x00007fcd273db16e in QEventDispatcherGlib::processEvents (this=0x1723f50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007fcd273adf12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fcd273ae2dd in QEventLoop::exec (this=0x7fcce2f75dc0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fcd272bb612 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007fcd2738dfa0 in QInotifyFileSystemWatcherEngine::run (this=0x18606f0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fcd272be51e in QThreadPrivate::start (arg=0x18606f0) at thread/qthread_unix.cpp:285
#10 0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fccdeafe710 (LWP 12359)):
#0  0x00007fcd26a869e3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fcd2738b83b in QProcessManager::run (this=0x7fcd276e3f60) at io/qprocess_unix.cpp:245
#2  0x00007fcd272be51e in QThreadPrivate::start (arg=0x7fcd276e3f60) at thread/qthread_unix.cpp:285
#3  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fccde2ed710 (LWP 12361)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd2277330c in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fcd22a82160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fcd22773349 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fcd22a90234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fccd2159710 (LWP 12365)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fcd272bf01d in wait (this=<value optimized out>, mutex=0x19812c0, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19812c0, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd272b40b1 in QThreadPoolThread::run (this=0x26d8630) at concurrent/qthreadpool.cpp:140
#4  0x00007fcd272be51e in QThreadPrivate::start (arg=0x26d8630) at thread/qthread_unix.cpp:285
#5  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fccd1752710 (LWP 12370)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fcd272bf01d in wait (this=<value optimized out>, mutex=0x19812c0, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19812c0, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd272b40b1 in QThreadPoolThread::run (this=0x20bbc20) at concurrent/qthreadpool.cpp:140
#4  0x00007fcd272be51e in QThreadPrivate::start (arg=0x20bbc20) at thread/qthread_unix.cpp:285
#5  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fccd04ef710 (LWP 12374)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd272bf08b in wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd23c71d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2cd9d70, th=0x2cd7910) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcd23c74feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2cde7a0, th=0x2cd7910) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcd23c73487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fccd04eee10, parent=0x2cd9d70, th=0x2cd7910) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fcd23c739d8 in ThreadWeaver::Thread::run (this=0x2cd7910) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fcd272be51e in QThreadPrivate::start (arg=0x2cd7910) at thread/qthread_unix.cpp:285
#8  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fcccfcee710 (LWP 12375)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd272bf08b in wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd23c71d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2cd9d70, th=0x2cdc5c0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcd23c74feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2cde7a0, th=0x2cdc5c0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcd23c75004 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2cde7a0, th=0x2cdc5c0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcd23c73487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fcccfcede10, parent=0x2cd9d70, th=0x2cdc5c0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fcd23c739d8 in ThreadWeaver::Thread::run (this=0x2cdc5c0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fcd272be51e in QThreadPrivate::start (arg=0x2cdc5c0) at thread/qthread_unix.cpp:285
#9  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fcccea7a710 (LWP 12376)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd272bf08b in wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd23c71d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2cd9d70, th=0x2d53390) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcd23c74feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2cde7a0, th=0x2d53390) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcd23c75004 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2cde7a0, th=0x2d53390) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcd23c73487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fcccea79e10, parent=0x2cd9d70, th=0x2d53390) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fcd23c739d8 in ThreadWeaver::Thread::run (this=0x2d53390) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fcd272be51e in QThreadPrivate::start (arg=0x2d53390) at thread/qthread_unix.cpp:285
#9  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fccce279710 (LWP 12377)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd272bf08b in wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2cda710, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd23c71d45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2cd9d70, th=0x7fcce406b8e0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcd23c74feb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2cde7a0, th=0x7fcce406b8e0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcd23c73487 in ThreadWeaver::ThreadRunHelper::run (this=0x7fccce278e10, parent=0x2cd9d70, th=0x7fcce406b8e0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fcd23c739d8 in ThreadWeaver::Thread::run (this=0x7fcce406b8e0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fcd272be51e in QThreadPrivate::start (arg=0x7fcce406b8e0) at thread/qthread_unix.cpp:285
#8  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fcccd85a710 (LWP 12378)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcd1cf77f1d in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007fcd1cf78029 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#3  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fccc2bed710 (LWP 12381)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fcd272bf01d in wait (this=<value optimized out>, mutex=0x19812c0, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19812c0, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fcd272b40b1 in QThreadPoolThread::run (this=0x2155d50) at concurrent/qthreadpool.cpp:140
#4  0x00007fcd272be51e in QThreadPrivate::start (arg=0x2155d50) at thread/qthread_unix.cpp:285
#5  0x00007fcd248de8b4 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fcd26a8d27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fcd29f45780 (LWP 12353)):
[KCrash Handler]
#6  0x00007fcd28eac43b in CoverFetchArtPayload::prepareLastFmUrls (this=<value optimized out>, xml=...) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:601
#7  0x00007fcd28eb14a4 in CoverFetchArtPayload::prepareUrls (this=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:458
#8  0x00007fcd28ea7da9 in CoverFetchArtPayload::setXml (this=0x35c2f40, xml=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:440
#9  0x00007fcd28ea6b08 in CoverFetchQueue::add (this=0x215b1f0, album=) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchQueue.cpp:56
#10 0x00007fcd28ea16d7 in CoverFetcher::slotResult (this=0x215b260, url=<value optimized out>, data=) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetcher.cpp:202
#11 0x00007fcd28ea26cc in CoverFetcher::qt_metacall (this=0x215b260, _c=<value optimized out>, _id=<value optimized out>, _a=0x7fff260d0980) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0_build/src/CoverFetcher.moc:92
#12 0x00007fcd273b80ec in QMetaMethod::invoke (this=0x7fff260d0ce0, object=0x215b260, connectionType=<value optimized out>, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#13 0x00007fcd28d373e5 in invoke (this=<value optimized out>) at /usr/include/qt4/QtCore/qmetaobject.h:119
#14 NetworkAccessManagerProxy::NetworkAccessManagerProxyPrivate::_replyFinished (this=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/network/NetworkAccessManagerProxy.cpp:98
#15 0x00007fcd28d35df0 in NetworkAccessManagerProxy::qt_metacall (this=0x20676c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff260d1000) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0_build/src/NetworkAccessManagerProxy.moc:86
#16 0x00007fcd273c6d87 in QMetaObject::activate (sender=0x28ec020, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3272
#17 0x00007fcd2423d513 in KDEPrivate::AccessManagerReply::slotResult (this=0x28ec020, kJob=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/accessmanagerreply_p.cpp:301
#18 0x00007fcd2423de03 in KDEPrivate::AccessManagerReply::qt_metacall (this=0x28ec020, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff260d14e0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0_build/kio/accessmanagerreply_p.moc:83
#19 0x00007fcd273c6d87 in QMetaObject::activate (sender=0x34283b0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3272
#20 0x00007fcd27827072 in KJob::result (this=0x7fff260d0320, _t1=0x34283b0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0_build/kdecore/kjob.moc:194
#21 0x00007fcd27827330 in KJob::emitResult (this=0x34283b0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kdecore/jobs/kjob.cpp:312
#22 0x00007fcd24279eb3 in KIO::SimpleJob::slotFinished (this=0x34283b0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/job.cpp:525
#23 0x00007fcd2427a72e in KIO::TransferJob::slotFinished (this=0x34283b0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/job.cpp:1118
#24 0x00007fcd242783b9 in KIO::TransferJob::qt_metacall (this=0x34283b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff260d1920) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0_build/kio/jobclasses.moc:367
#25 0x00007fcd273c6d87 in QMetaObject::activate (sender=0x3296910, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3272
#26 0x00007fcd2432ae9d in KIO::SlaveInterface::dispatch (this=0x3296910, _cmd=104, rawdata=...) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/slaveinterface.cpp:173
#27 0x00007fcd24327f6c in KIO::SlaveInterface::dispatch (this=0x3296910) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/slaveinterface.cpp:89
#28 0x00007fcd2431b976 in KIO::Slave::gotInput (this=0x3296910) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/slave.cpp:348
#29 0x00007fcd2431bb5c in KIO::Slave::qt_metacall (this=0x3296910, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff260d1db0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0_build/kio/slave.moc:82
#30 0x00007fcd273c6d87 in QMetaObject::activate (sender=0x36f3f00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3272
#31 0x00007fcd24246f6d in KIO::ConnectionPrivate::dequeue (this=0x32812c0) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kio/kio/connection.cpp:82
#32 0x00007fcd24247075 in KIO::Connection::qt_metacall (this=0x36f3f00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x1943180) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0_build/kio/connection.moc:79
#33 0x00007fcd273c0eae in QObject::event (this=0x36f3f00, e=0x7fff260d0320) at kernel/qobject.cpp:1211
#34 0x00007fcd27db0dec in QApplicationPrivate::notify_helper (this=0x12a3720, receiver=0x36f3f00, e=0x33c1540) at kernel/qapplication.cpp:4445
#35 0x00007fcd27db626d in QApplication::notify (this=0x7fff260d2890, receiver=0x36f3f00, e=0x33c1540) at kernel/qapplication.cpp:4324
#36 0x00007fcd29950bc8 in KApplication::notify (this=0x7fff260d2890, receiver=0x36f3f00, event=0x33c1540) at /var/tmp/portage/kde-base/kdelibs-4.6.0/work/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#37 0x00007fcd273af1cb in QCoreApplication::notifyInternal (this=0x7fff260d2890, receiver=0x36f3f00, event=0x33c1540) at kernel/qcoreapplication.cpp:732
#38 0x00007fcd273b2149 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x11289b0) at kernel/qcoreapplication.h:215
#39 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x11289b0) at kernel/qcoreapplication.cpp:1373
#40 0x00007fcd273db633 in sendPostedEvents (s=0x12a2b80) at kernel/qcoreapplication.h:220
#41 postEventSourceDispatch (s=0x12a2b80) at kernel/qeventdispatcher_glib.cpp:277
#42 0x00007fcd20661399 in g_main_dispatch (context=0x12a2aa0) at gmain.c:2149
#43 g_main_context_dispatch (context=0x12a2aa0) at gmain.c:2702
#44 0x00007fcd20665220 in g_main_context_iterate (context=0x12a2aa0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2780
#45 0x00007fcd206653c2 in g_main_context_iteration (context=0x12a2aa0, may_block=1) at gmain.c:2843
#46 0x00007fcd273db11e in QEventDispatcherGlib::processEvents (this=0x11280a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#47 0x00007fcd27e62be6 in QGuiEventDispatcherGlib::processEvents (this=0x7fff260d0320, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#48 0x00007fcd273adf12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#49 0x00007fcd273ae2dd in QEventLoop::exec (this=0x7fff260d2820, flags=) at kernel/qeventloop.cpp:201
#50 0x00007fcd273b235b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#51 0x000000000040990e in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/main.cpp:268


Is it the same or should I file separate bug for this.
Comment 7 Myriam Schweingruber 2011-03-19 11:50:56 UTC
No, this is not the same crash, this time it is a duplicate of bug 253256, already solved in the upcoming 2.4.1. Please test with the current git version.
Comment 8 Jayesh Badwaik 2011-04-18 17:00:02 UTC
Created attachment 59100 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.1

- What I was doing when the application crashed:
playing a song
actually i was hitting the next song button continously for three four times

-- Backtrace (Reduced):
#6  0x00000035195f507b in CoverFetchArtPayload::prepareLastFmUrls (this=0x36615b0, xml=...) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:601
#7  0x00000035195f5b01 in CoverFetchArtPayload::prepareUrls (this=0x36615b0) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:458
#8  0x00000035195e9ce9 in CoverFetchArtPayload::setXml (this=0x36615b0, xml=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:440
#9  0x00000035195e900f in CoverFetchQueue::add (this=0x26ab7a0, album=..., opt=CoverFetch::Automatic, src=<value optimized out>, xml=...) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFetchQueue.cpp:56
#10 0x00000035195e41e3 in CoverFetcher::slotResult (this=0x2650b80, url=<value optimized out>, data=..., e=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFetcher.cpp:202
Comment 9 Myriam Schweingruber 2011-04-19 14:51:49 UTC
Yayesh: your crash is a totally different one and a duplicate of bug 263256.

Ctibor: can you reproduce the original crash again or does it always produce the same backtrace as the one in comment #6?
Comment 10 Ctibor Brančík 2011-04-19 15:33:09 UTC
Created attachment 59133 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

Yes, it still crashes. Backtrace included.

-- Backtrace (Reduced):
#6  0x00007f6ffd45843b in CoverFetchArtPayload::prepareLastFmUrls (this=<value optimized out>, xml=...) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:601
#7  0x00007f6ffd45d4a4 in CoverFetchArtPayload::prepareUrls (this=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:458
#8  0x00007f6ffd453da9 in CoverFetchArtPayload::setXml (this=0x38e9d00, xml=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchUnit.cpp:440
#9  0x00007f6ffd452b08 in CoverFetchQueue::add (this=0x2a85430, album=) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetchQueue.cpp:56
#10 0x00007f6ffd44d6d7 in CoverFetcher::slotResult (this=0x2a854a0, url=<value optimized out>, data=) at /var/tmp/portage/media-sound/amarok-2.4.0/work/amarok-2.4.0/src/covermanager/CoverFetcher.cpp:202
Comment 11 Ctibor Brančík 2011-04-19 15:38:09 UTC
Oh, it seems like Yayesh's backtrace. I am not sure if I can reproduce original problem because I had to change amarok configuration due to the crash and I can't really remember original settings. It is also possible that problem with cover manager does not allow me to test it.
Comment 12 Myriam Schweingruber 2011-04-20 11:08:52 UTC
Well, it is just likely the original bug was fixed already, and what now appears is another one. Marking as duplicate.

*** This bug has been marked as a duplicate of bug 263256 ***